<div class="receiver-container">
  <h1>Angular Vendor Mock App</h1>
  <div class="receiver-element-container">
    <app-data-display data-cy="received-scope" dataKind="Scope" [data]="scopeId"></app-data-display>
    <app-data-display data-cy="received-token" dataKind="Token" [data]="tokenValue"></app-data-display>
    <app-data-display data-cy="received-wbs-url" dataKind="WbsUrl" [data]="baseUrl"></app-data-display>
  </div>
  <div class="receiver-element-container">
    <button data-cy="request-new-token" mat-flat-button color="primary" (click)="onRequestTokenClick()">Request new token</button>
  </div>
</div>
